Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20919

Description

Project files with relative paths to raster files that are created in QGIS 2.6 or QGIS 2.8.2 cannot be opened in QGIS master or QGIS 2.8

nightly.

Furthermore, project files that are created with QGIS master and QGIS 2.8 nightly do not store file references to raster images as relative

paths, but as absolute paths.

QGIS 2.8.2 is not affected - so it must be a commit in between the release of QGIS 2.8.2 and now. Perhaps it is commit:1e08bc0

This is a very serious bug that absolutely must be fixed before the release.

Associated revisions

Revision 47cb75dd - 2015-05-26 02:36 PM - Jürgen Fischer

fix relative path support for gdal layers (fixes #12823)

Revision e2e8c870 - 2015-05-26 11:45 PM - Jürgen Fischer

also handle writing of relative paths (followup 47cb75d; fixes #12823)

Revision 11ebf213 - 2015-05-28 12:11 AM - Jürgen Fischer

fix relative path support for gdal layers (fixes #12823)

(merged 47cb75dd and e2e8c87)

History

#1 - 2015-05-26 02:32 AM - Andreas Neumann

It seems that ogr vector data is not affected by the relative path problem. Only gdal raster sources.

#2 - 2015-05-26 05:37 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"47cb75dd6f8c3d0908383f021597b5627fc0b874".
#3 - 2015-05-26 12:01 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Target version set to Version 2.10

#4 - 2015-05-26 11:58 PM - René-Luc ReLuc

- Status changed from Closed to Reopened

Not yet backported to 2.8

#5 - 2015-05-27 03:14 PM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"11ebf2137dc344165e14d3e3ffd8b55c571a30ac".
